## org.opengis.go
Interface CommonCapabilities

    public interface CommonCapabilities

The `CommonCapabilities` interface provides runtime information about the capabilities of a given GO-1 implementation. Objects implementing this interface are obtained through the `CommonFactory.getCapabilities()` method.

Method Summary
`String[]` `getSupportedCoordinateReferenceSystems()` Returns an array of Strings that are keys for the Coordinate Reference Systems that this implementation supports.
`String[]` `getSupportedDatums()` Returns an array of Strings that are keys for the datums that this implementation supports.
`Class[]` `getSupportedDirectPositions()` Returns an array of `Class` objects for the directposition interfaces that are supported by a given implementation.
`Class[]` `getSupportedDirectPositions(CoordinateReferenceSystem crs)` Returns an array of `Class` objects for the directposition interfaces that are supported by a given implementation for the specified Coordinate Reference System.
`Class[]` `getSupportedGeometries()` Returns an array of `Class` objects for the geometry interfaces that are supported by a given implementation.
`Class[]` `getSupportedOrientations()` Returns an array of `Class` objects for the orientation interfaces that are supported by a given implementation.
`Class[]` `getSupportedOrientations(CoordinateReferenceSystem crs)` Returns an array of `Class` objects for the orientation interfaces that are supported by a given implementation for the specified Coordinate Reference System.
`PathType[]` `getSupportedPathTypes()` Returns an array of `PathType` objects that indicates the path types that are supported.
`String[]` `getSupportedProjections()` Returns an array of Strings representing the projections that are supported.
`Class[]` `getSupportedSpatialSchemaObjects(CoordinateReferenceSystem crs)` Returns an array of `Class` objects from the spatialschema-package that are supported by a given implementation for the specified Coordinate Reference System.

Method Detail

### getSupportedDirectPositions

    Class[] getSupportedDirectPositions()

  Returns an array of `Class` objects for the directposition interfaces that are supported by a given implementation.

### getSupportedDirectPositions

    Class[] getSupportedDirectPositions(CoordinateReferenceSystem crs)

  Returns an array of `Class` objects for the directposition interfaces that are supported by a given implementation for the specified Coordinate Reference System.

  Parameters:
    `crs` - the Coordinate Reference System.

### getSupportedSpatialSchemaObjects

    Class[] getSupportedSpatialSchemaObjects(CoordinateReferenceSystem crs)

  Returns an array of `Class` objects from the spatialschema-package that are supported by a given implementation for the specified Coordinate Reference System.

  Parameters:
    `crs` - the Coordinate Reference System.

### getSupportedOrientations

    Class[] getSupportedOrientations()

  Returns an array of `Class` objects for the orientation interfaces that are supported by a given implementation.

### getSupportedOrientations

    Class[] getSupportedOrientations(CoordinateReferenceSystem crs)

  Returns an array of `Class` objects for the orientation interfaces that are supported by a given implementation for the specified Coordinate Reference System.

  Parameters:
    `crs` - the Coordinate Reference System.

### getSupportedGeometries

    Class[] getSupportedGeometries()

  Returns an array of `Class` objects for the geometry interfaces that are supported by a given implementation. These Class objects can be used in a call to `GeometryFactory.getGeometry(Class)`.

### getSupportedCoordinateReferenceSystems

    String[] getSupportedCoordinateReferenceSystems()

  Returns an array of Strings that are keys for the Coordinate Reference Systems that this implementation supports. These strings can be used in a call to `CoordinateReferenceSystemFactory.getCoordinateReferenceSystem(String)`.

### getSupportedDatums

    String[] getSupportedDatums()

  Returns an array of Strings that are keys for the datums that this implementation supports. These strings can be used in a call to `DatumFactory.getDatum(String)`.

### getSupportedPathTypes

    PathType[] getSupportedPathTypes()

  Returns an array of `PathType` objects that indicates the path types that are supported.

### getSupportedProjections

    String[] getSupportedProjections()

  Returns an array of Strings representing the projections that are supported.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.